Mandriva Linux Security Advisory : kernel (MDVSA-2010:030)

This script is Copyright (C) 2010-2016 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

Some vulnerabilities were discovered and corrected in the Linux 2.6
kernel :

Array index error in the gdth_read_event function in
drivers/scsi/gdth.c in the Linux kernel before 2.6.32-rc8 allows local
users to cause a denial of service or possibly gain privileges via a
negative event index in an IOCTL request. (CVE-2009-3080)

The collect_rx_frame function in drivers/isdn/hisax/hfc_usb.c in the
Linux kernel before 2.6.32-rc7 allows attackers to have an unspecified
impact via a crafted HDLC packet that arrives over ISDN and triggers a
buffer under-read. (CVE-2009-4005)

An issue was discovered in 2.6.32.x kernels, which sets unsecure
permission for devtmpfs file system by default. (CVE-2010-0299)

Additionally, it was added support for Atheros AR2427 Wireless Network
Adapter.

To update your kernel, please follow the directions located at :

http://www.mandriva.com/en/security/kernelupdate

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.2
(CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 6.3
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: Mandriva Local Security Checks

Nessus Plugin ID: 44356 (mandriva_MDVSA-2010-030.nasl)

Bugtraq ID: 37036
37068

CVE ID: CVE-2009-3080
CVE-2009-4005

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now